package cn.bunny.pattern15.state;

public class RunningLiftState extends LiftState {
    /**
     * 开门动作
     */
    @Override
    public void open() {

    }

    /**
     * 关门动作
     */
    @Override
    public void close() {

    }

    /**
     * 运行动作
     */
    @Override
    public void run() {
        System.out.println("电梯正在运行。。。");
    }

    /**
     * 停止动作
     */
    @Override
    public void stop() {
        super.lift.setCurrentLiftState(Lift.STOPPING_STATE);
        super.lift.getCurrentLiftState().stop();
    }
}
